Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# XtReactor.h File Reference

`#include "ace/config-all.h"`
`#include "ace/ACE_XtReactor_export.h"`
`#include "ace/Select_Reactor.h"`

Include dependency graph for XtReactor.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | ACE_XtReactorID
| This little class is necessary due to the way that Microsoft implements sockets to be pointers rather than indices. More...
class | ACE_XtReactor
| An object-oriented event demultiplexor and event handler dispatcher that uses the X Toolkit functions. More...

## Detailed Description

Id
  XtReactor.h,v 4.32 2005/10/28 23:55:10 ossama Exp

Author:
  Eric C. Newton <ecn@clark.net>

  Kirill Rybaltchenko <Kirill.Rybaltchenko@cern.ch>

  Douglas C. Schmidt <schmidt@cs.wustl.edu>